﻿Imports PersonProfessionVB.PersonProfessionDts

Public Class uclMnCheckboxView

   Private Sub dgvProfession_CellFormatting(sender As Object, e As DataGridViewCellFormattingEventArgs) Handles dgvProfession.CellFormatting
      If e.ColumnIndex <> 0 OrElse e.RowIndex < 0 OrElse e.RowIndex >= bsProfession.Count Then Return
      Dim rwProf = DirectCast(DirectCast(dgvProfession.Rows(e.RowIndex).DataBoundItem, DataRowView).Row, ProfessionRow)
      Dim rwPers = DirectCast(DirectCast(bsPerson.Current, DataRowView).Row, PersonRow)
      e.Value = rwProf.GetPersonProfessionRows.Any(Function(rwPP) rwPP.PersonRow Is rwPers) ' ergibt True, wenn ZuordnungsDatensatz gefunden
   End Sub

   Private Sub dgvProfession_CellParsing(sender As Object, e As DataGridViewCellParsingEventArgs) Handles dgvProfession.CellParsing
      If e.ColumnIndex <> 0 OrElse e.RowIndex < 0 OrElse e.RowIndex >= bsProfession.Count Then Return
      Dim rwProf = DirectCast(DirectCast(dgvProfession.Rows(e.RowIndex).DataBoundItem, DataRowView).Row, ProfessionRow)
      Dim rwPers = DirectCast(DirectCast(bsPerson.Current, DataRowView).Row, PersonRow)
      If CBool(e.Value) Then
         PersonProfessionDts.PersonProfession.AddPersonProfessionRow(rwPers, rwProf) ' ZuordnungsDatensatz anlegen
      Else
         rwProf.GetPersonProfessionRows.First(Function(rwPP) rwPP.PersonRow Is rwPers).Delete() ' ZuordnungsDatensatz löschen
      End If
   End Sub

   Private Sub bsPerson_CurrentChanged(sender As Object, e As EventArgs) Handles bsPerson.CurrentChanged
      dgvProfession.InvalidateColumn(0)  ' dgvProfession-Zeichnung aktualisieren
   End Sub

End Class
